Redmine - Patch #37748

Favicon takes a long time to load
2022-10-04 12:56 - Gasper C

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
I'm using passenger standalone and nginx as proxy webserver. Redmine is v5.0.2.

I've noticed that favicon isn't cached, and takes a ridiculous amount to load (~30ms).

While caching should be configured at webserver level, I've noticed that when | remove versioning from the favicon, it only takes
about 4ms to load it.

This is a simple patch, maybe it would be better to remove some more of the code related to favicon, but I'm not familiar with ruby.
Related issues:
Related to Redmine - Feature #39111: Enable Asset Pipeline Integration using ... Closed

History

#1 - 2022-10-05 03:42 - Go MAEDA

The following code will also work if a third-party theme provides a favicon.

diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb
index cedl845eb..2ae3flbeb 100644
-—— a/app/helpers/application_helper.rb
+++ b/app/helpers/application_helper.rb
@@ -1752,7 +1752,7 Q@ module ApplicationHelper

# Returns the path to the favicon

def favicon_path

icon = (current_theme && current_theme.favicon?) ? current_theme.favicon_path : '/favicon.ico'

= image_path (icon)
+ asset_path (icon)

end

# Returns the full URL to the favicon

#2 - 2024-07-12 11:31 - Go MAEDA

- Status changed from New to Closed

| think the issue was solved with the introduction of Propshaft (#39111).
https://www.redmine.org/issues/39111

With Propshaft, instead of appending an asset id as a query string (e.g. favicon.ico?1679302129), a hash value is now included in the file name (e.g.
favicon-0e291875c213c5e776c5a68be4c078acb14453a1.ico). As a result, the favicon will be effectively cached in the browser.

#3 - 2024-07-12 11:32 - Go MAEDA
- Related to Feature #39111: Enable Asset Pipeline Integration using Propshaft added

Files

favicon.diff 791 Bytes 2022-10-04 Gasper C
after.png 62.2 KB 2022-10-04 Gasper C
before.png 65.2 KB 2022-10-04 Gasper C
